Bug 1441069 - Failed to create image with iscsi protocol
Summary: Failed to create image with iscsi protocol
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev   
(Show other bugs)
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Fam Zheng
QA Contact: Suqin Huang
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-11 07:18 UTC by Suqin Huang
Modified: 2017-08-02 04:35 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-rhev-2.9.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 04:35:59 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Suqin Huang 2017-04-11 07:18:34 UTC
Description of problem:


Version-Release number of selected component (if applicable):
qemu-kvm-rhev-2.9.0-0.el7.patchwork201703291116.x86_64

How reproducible:
100%

Steps to Reproduce:
1.
qemu-img create -f qcow2 iscsi://10.73.199.62:3260/iqn.2017-04.com.example:t1/0 1G
Formatting 'iscsi://10.73.199.62:3260/iqn.2017-04.com.example:t1/0', fmt=qcow2 size=1073741824 encryption=off cluster_size=65536 lazy_refcounts=off refcount_bits=16
qemu-img: iscsi://10.73.199.62:3260/iqn.2017-04.com.example:t1/0: Could not create image: Invalid argument

2.
3.

Actual results:
qemu-img: iscsi://10.73.199.62:3260/iqn.2017-04.com.example:t1/0: Could not create image: Invalid argument

Expected results:


Additional info:

Comment 2 Suqin Huang 2017-04-11 07:19:34 UTC
works with qemu-kvm-rhev-2.6.0-28.el7.1.x86_64, set to regression

Comment 5 Suqin Huang 2017-04-25 02:57:09 UTC
Pass with qemu-kvm-rhev-2.9.0-1.el7.x86_64

qemu-img create -f qcow2 iscsi://10.73.199.233:3260/iqn.2017-04.com.example:t1/0 1G
Formatting 'iscsi://10.73.199.233:3260/iqn.2017-04.com.example:t1/0', fmt=qcow2 size=1073741824 encryption=off cluster_size=65536 lazy_refcounts=off refcount_bits=16

Comment 8 errata-xmlrpc 2017-08-02 04:35:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.